GET /katello/api/content_view_filters/116888100/rules
200
{
"total": 2,
"subtotal": 2,
"selectable": 2,
"page": 1,
"per_page": 20,
"error": null,
"search": null,
"sort": {
"by": "id",
"order": "asc"
},
"results": [
{
"content_view_filter_id": 116888100,
"version": "1.0",
"id": 180858320,
"name": "debpkg",
"created_at": "2026-11-03 08:02:04 UTC",
"updated_at": "2026-11-03 08:02:04 UTC"
},
{
"content_view_filter_id": 116888100,
"min_version": "1.0",
"architecture": "amd64",
"id": 388230369,
"name": "archpkg",
"created_at": "2026-11-03 08:02:04 UTC",
"updated_at": "2026-11-03 08:02:04 UTC"
}
]
}
| Param name | Description |
|---|---|
|
content_view_filter_id
required |
filter identifier Validations:
|
|
name
optional |
name of the content view filter rule Validations:
|
|
errata_id
optional |
errata_id of the content view filter rule Validations:
|
|
search
optional |
Search string Validations:
|
|
page
optional |
Page number, starting at 1 Validations:
|
|
per_page
optional |
Number of results per page to return Validations:
|
|
order
optional |
Sort field and order, eg. ‘id DESC’ Validations:
|
|
full_result
optional |
Whether or not to show all results Validations:
|
|
sort_by
optional |
Field to sort the results on Validations:
|
|
sort_order
optional |
How to order the sorted results (e.g. ASC for ascending) Validations:
|
POST /katello/api/content_view_filters/116888100/rules
{
"name": "debtest",
"version": "1.0",
"content_view_filter_rule": {
"name": "debtest",
"version": "1.0"
}
}
204
| Param name | Description |
|---|---|
|
content_view_filter_id
required |
filter identifier Validations:
|
|
name
optional |
deb, package, package group, or docker tag names Validations:
|
|
uuid
optional |
package group: uuid Validations:
|
|
version
optional |
package: version Validations:
|
|
architecture
optional |
package: architecture Validations:
|
|
min_version
optional |
package: minimum version Validations:
|
|
max_version
optional |
package: maximum version Validations:
|
|
errata_id
optional |
erratum: id Validations:
|
|
errata_ids
optional |
erratum: IDs or a select all object Validations:
|
|
start_date
optional |
erratum: start date (YYYY-MM-DD) Validations:
|
|
end_date
optional |
erratum: end date (YYYY-MM-DD) Validations:
|
|
types
optional |
erratum: types (enhancement, bugfix, security) Validations:
|
|
date_type
optional |
erratum: search using the ‘Issued On’ or ‘Updated On’ column of the errata. Values are ‘issued’/‘updated’ Validations:
|
|
module_stream_ids
optional |
module stream ids Validations:
|
|
allow_other_types
optional |
erratum: allow types not matching a valid errata type Validations:
|
GET /katello/api/content_view_filters/116888100/rules/602413130
404
{
"message": "Couldn't find Katello::ContentViewDebFilterRule with 'id'=602413130 [WHERE \"katello_content_view_deb_filter_rules\".\"content_view_filter_id\" = $1]",
"errors": [
"Couldn't find Katello::ContentViewDebFilterRule with 'id'=602413130 [WHERE \"katello_content_view_deb_filter_rules\".\"content_view_filter_id\" = $1]"
]
}
| Param name | Description |
|---|---|
|
content_view_filter_id
required |
filter identifier Validations:
|
|
id
required |
rule identifier Validations:
|
PUT /katello/api/content_view_filters/116888100/rules/388230369
{
"name": "updatepkg",
"architecture": "arm64",
"max_version": "3.0",
"content_view_filter_rule": {
"name": "updatepkg",
"architecture": "arm64",
"max_version": "3.0"
}
}
200
{
"content_view_filter_id": 116888100,
"max_version": "3.0",
"architecture": "arm64",
"id": 388230369,
"name": "updatepkg",
"created_at": "2026-11-03 08:02:04 UTC",
"updated_at": "2026-11-03 08:04:58 UTC"
}
| Param name | Description |
|---|---|
|
content_view_filter_id
required |
filter identifier Validations:
|
|
id
required |
rule identifier Validations:
|
|
name
optional |
package, package group, or docker tag: name Validations:
|
|
version
optional |
package: version Validations:
|
|
architecture
optional |
package: architecture Validations:
|
|
min_version
optional |
package: minimum version Validations:
|
|
max_version
optional |
package: maximum version Validations:
|
|
errata_id
optional |
erratum: id Validations:
|
|
start_date
optional |
erratum: start date (YYYY-MM-DD) Validations:
|
|
end_date
optional |
erratum: end date (YYYY-MM-DD) Validations:
|
|
types
optional |
erratum: types (enhancement, bugfix, security) Validations:
|
|
allow_other_types
optional |
erratum: allow types not matching a valid errata type Validations:
|
DELETE /katello/api/content_view_filters/116888100/rules/388230369
{
"content_view_filter_rule": {}
}
200
{
"content_view_filter_id": 116888100,
"min_version": "1.0",
"architecture": "amd64",
"id": 388230369,
"name": "archpkg",
"created_at": "2026-11-03 08:02:04 UTC",
"updated_at": "2026-11-03 08:02:04 UTC"
}
| Param name | Description |
|---|---|
|
content_view_filter_id
required |
filter identifier Validations:
|
|
id
required |
rule identifier Validations:
|